SNA

List sessions

List agent sessions.

GET
/agent/sessions

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

include?string
Value in"chain"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/agent/sessions"
{
  "sessions": [
    {
      "id": "string",
      "label": "string",
      "alive": true,
      "state": "idle",
      "agentStatus": "idle",
      "cwd": "string",
      "meta": {
        "property1": null,
        "property2": null
      },
      "config": {
        "provider": "string",
        "modelProvider": "string",
        "model": "string",
        "cwd": "string",
        "permissionMode": "string",
        "configDir": "string",
        "extraArgs": [
          "string"
        ],
        "providerOptions": {
          "property1": null,
          "property2": null
        }
      },
      "ccSessionId": "string",
      "eventCount": 0,
      "messageCount": 0,
      "lastMessage": {
        "actor": "string",
        "kind": "string",
        "content": "string",
        "created_at": "string"
      },
      "createdAt": 0,
      "lastActivityAt": 0,
      "currentRuntimeId": "string",
      "runtimeChain": [
        {
          "id": "string",
          "parentId": "string",
          "config": {
            "provider": "string",
            "modelProvider": "string",
            "model": "string",
            "cwd": "string",
            "permissionMode": "string",
            "configDir": "string",
            "extraArgs": [
              "string"
            ],
            "providerOptions": {
              "property1": null,
              "property2": null
            }
          },
          "state": "idle",
          "spawnedAt": 0,
          "retiredAt": 0
        }
      ]
    }
  ]
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}